Uploaded image for project: 'Red Hat 3scale API Management'
  1. Red Hat 3scale API Management
  2. THREESCALE-7492

Review and possibly fix references to extensions/v1beta1and other removed APIversions at code level

    XMLWordPrintable

Details

    Description

      In a latest mail on the operator framework mailing list named 'Important - Please Read: Deprecation of operator versions that will not work on 4.9+' there's a reference link to deprecation guide https://kubernetes.io/docs/reference/using-api/deprecation-guide/#v1-22

      and after reviewing this I have detected that in apicast-operator case, at code level there are some references to those deprecations/removals so this might be an issue that we need to fix to be able to release in OCP 4.9.

      The upgrade from CRD v1beta1 to v1 was solved (THREESCALE-5859), the issue described here are other removals not related to CRD v1beta1 that might impact us at code level and that might impact the ability to be able to release in OCP 4.9.

      This issue is about reviewing those potential issues and in case we confirm they are issues fix them
       

      Attachments

        Activity

          People

            Unassigned Unassigned
            msorianod Miguel Soriano
            Miguel Soriano Miguel Soriano
            Miguel Soriano Miguel Soriano
            Miroslav Jaros Miroslav Jaros
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: